#version 330

uniform sampler2D g_ComponentTex;

uniform ModelBlock
{
    mat4 Transform;
    vec4 ClippingRect;
} g_Model;

in vec2 FragmentTex;
in vec2 FragmentCoords;

out vec4 PixelColor;

void main(void)
{
    if(FragmentCoords.x < g_Model.ClippingRect.x ||
       FragmentCoords.y < g_Model.ClippingRect.y || 
       FragmentCoords.x > g_Model.ClippingRect.z || 
       FragmentCoords.y > g_Model.ClippingRect.w)
    {
        discard;
    }
    PixelColor = texture(g_ComponentTex, FragmentTex);
}