#version 330

uniform ModelBlock
{
    mat4 Transform;
    vec4 ClippingRect;
} g_Model;

in vec2 VertexPos;

out vec2 FragmentTex;
out vec2 FragmentCoords;

void main(void)
{
    vec4 Transformed = g_Model.Transform * vec4(VertexPos, 0.0, 1.0);
    gl_Position = Transformed;
    FragmentTex = vec2(VertexPos.x, -VertexPos.y);
    FragmentCoords = Transformed.xy;
}