package main;

import java.util.ArrayList;

import parser.DOMSceneParser;
import parser.SAXSceneParser;
import writer.SceneXMLWriter;

import model.Actor;

/**
 * Aufbau interaktiver 3D-Engines
 * Uebungsblatt 1 Ausgabe 09.04.2013, Abgabe 19.04.2013
 * Aufgabe 4. XML-Parsing
 * 
 * @author Erik Wittkorn
 */
public class Main {
	
	private static ArrayList<Actor> actorsDOM = null;
	private static ArrayList<Actor> actorsSAX = null;
	
	
	public static void main(String[] args) {
		
		/**
		 * Die Ergebnisse der verschiedenen Parser werden in zwei
		 * Listen ausgegeben
		 */
		Main.actorsDOM = DOMSceneParser.parse("xml/actors.xml");
		Main.actorsSAX = SAXSceneParser.parse("xml/actors.xml");
		
		/**
		 * Zur Ueberpruefung, ob sich alle Actors in jeder Liste
		 * befinden, wird die Laenge beider Listen ausgegeben
		 */
		System.out.println("Laenge DOM: " + Main.actorsDOM.size());
		System.out.println("Laenge SAX: " + Main.actorsSAX.size());
		System.out.print("\n\n");
		
		/**
		 * Mit dieser Hilfsfunktion werden die Listen durchlaufen und
		 * ihr Inhalt ausgegeben
		 */
		System.out.println("\nAUSGABE DER DOM-GEPARSTEN LISTE: \n");
		printActorList(actorsDOM);
		System.out.println("\nAUSGABE DER SAX-GEPARSTEN LISTE: \n");
		printActorList(actorsSAX);
		
		/**
		 * Zusatzaufgabe:
		 * 	Aus den geparsten Ergebnissen wird wieder die Ursprungs-XML erstellt
		 */
		//SceneXMLWriter.writeSceneXML(actorsDOM, "output/actorsNew.xml");
	}
	
	public static void printActorList(ArrayList<Actor> actorList) {
		for (Actor currentActor : actorList) {
			System.out.println(currentActor.toString());
		}
	}

}
