package model;

import org.lwjgl.util.vector.Vector3f;

/**
 * Prototypische Klasse fuer eine Box, die zur Definition des
 * physikalischen Koerpers des Actors genutzt wird
 * 
 * @author Erik Wittkorn
 */
public class Box {
	
	/**
	 * Um die Groesse der Box zu definieren, werden die Seitenlaengen
	 * in alle Dimensionen in diesem Vektor abgelegt
	 */
	private Vector3f size;
	
	/**
	 * Die Box besitzt eine Dichte, die fuer physikalische Berechnungen
	 * wichtig ist
	 */
	private float density;
	
	/**
	 * Im Konstruktor wird die Groesse der Box initial auf (0, 0, 0) gesetzt
	 * und der Dichtewert auf 0
	 */
	public Box() {
		this.size = new Vector3f();
		this.density = 0.0f;
	}
	
	public void setSize(float x, float y, float z) {
		this.size.setX(x);
		this.size.setY(y);
		this.size.setZ(z);
	}
	
	public Vector3f getSize() {
		return this.size;
	}

	public void setDensity(float density) {
		this.density = density;
	}
	
	public float getDensity() {
		return this.density;
	}
	
	/**
	 * Gibt alle verfuegbaren Informationen ueber die Box als String
	 * zurueck
	 */
	public String toString() {
		//TODO Aussagekraeftige Information ueber ein Objekt dieser Klasse ausgeben
		return "";
	}

}
