package parser.sax;

import java.util.ArrayList;

import model.Actor;
import model.Box;
import model.components.PhysicsComponent;
import model.components.RenderComponent;
import model.components.TransformComponent;

import org.xml.sax.Attributes;
import org.xml.sax.ContentHandler;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;

/**
 * Handler-Klasse, die die Events verarbeitet, die beim SAX-Parsing
 * einer <Scene>-XML-Datei auftreten
 * 
 * @author Erik Wittkorn
 */
public class SAXSceneParserHandler implements ContentHandler {
	
	private final ArrayList<Actor> actorList;
	
	/**
	 * Platzhalter-Referenzen fuer die Objekte, die durch die
	 * XML erstellt werden
	 */
	private Actor currentActor = null;
	
	private RenderComponent currentRenderComp = null;
	private PhysicsComponent currentPhysicsComp = null;
	private TransformComponent currentTransformComp = null;
	
	private Box currentBox = null;
	
	/**
	 * Im Konstruktor wird die Liste fuer die Ergebnisse des
	 * Parsing uebergeben
	 * @param actorList Leere Actor-Liste
	 */
	public SAXSceneParserHandler (ArrayList<Actor> actorList) {
		this.actorList = actorList;
	}

	@Override
	public void startDocument() throws SAXException {
		
	}
	
	/**
	 * Wird aufgerufen, wenn ein Start-Tag beim Parsing vorkommt
	 */
	@Override
	public void startElement(String uri, String localName, String qName,
			Attributes atts) throws SAXException {
		// TODO: Analog zur Demo hier implementieren, was bei den jeweiligen Start-Tags passiert
	}
	
	/**
	 * Diese Methode wird aufgerufen, wenn ein End-Tag beim XML-Parsing
	 * vorgekommen ist
	 */
	@Override
	public void endElement(String uri, String localName, String qName)
			throws SAXException {
		// TODO: Analog zur Demo hier implementieren, was bei den jeweiligen Start-Tags passiert
	}
	
	@Override
	public void endDocument() throws SAXException {
		
	}
	
	
	
	@Override
	public void characters(char[] ch, int start, int length)
			throws SAXException {
	}

	@Override
	public void endPrefixMapping(String prefix) throws SAXException {
	}

	@Override
	public void ignorableWhitespace(char[] ch, int start, int length)
			throws SAXException {
	}

	@Override
	public void processingInstruction(String target, String data)
			throws SAXException {
	}

	@Override
	public void setDocumentLocator(Locator locator) {
	}

	@Override
	public void skippedEntity(String name) throws SAXException {
	}


	@Override
	public void startPrefixMapping(String prefix, String uri)
			throws SAXException {
	}

}
