package logic;

import org.w3c.dom.Document;
import org.w3c.dom.Node;

import util.XMLUtil;
import logging.Logger;
import main.BaseGameLogic;
import main.GameApp;

public class TestBedLogic extends BaseGameLogic {

	@Override
	public void loadLevel(String resource) {
        Document doc = GameApp.loadXML(resource);
        Node node = doc.getFirstChild();
        while(node != null && !node.getNodeName().equals("Actors")) {
            node = node.getNextSibling();
        }
        if(node != null) {
            Node actorNode = node.getFirstChild();
            while(actorNode != null) {
                if(actorNode.getNodeName().equals("Actor")) {
                    this.createActor(XMLUtil.getAttributeAsString(actorNode, "resource"), actorNode);
                }
                actorNode = actorNode.getNextSibling();
            }
        } else {
            Logger.INSTANCE.warning("Level file does not contain any actors.");
        }
	}

}
